// application.js
// Copyright (C) 2008, Darryl L. Pierce <mcpierce@gmail.com>
//
// This program is free software: you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free Software
// Foundation, either version 3 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
// details.
//
// You should have received a copy of the GNU General Public License along with
// this program.  If not, see <http://www.gnu.org/licenses/>.
//

function show_element(boxid) {
    document.getElementById(boxid).style.display = 'block';
}

function hide_element(boxid) {
    document.getElementById(boxid).style.display = 'none';
}

function element_is_visible(boxid) {
    return document.getElementById(boxid).style.display != 'none';
}

function show_or_hide_element(boxid) {
    show = (element_is_visible(boxid) == false);

    if (show) {
	show_element(boxid);
    } else {
	hide_element(boxid);
    }
}
